## fotoxx 8.7

=== Makefile ===
# fotoxx makefile 

PROGRAM = fotoxx
VERSION = 8.7
SOURCE = $(PROGRAM)-$(VERSION).cpp

# replace CFLAGS and LFLAGS -O (Oh) with -g for GDB debugging
CFLAGS = -O -Wall -c `pkg-config --cflags gtk+-2.0`
LFLAGS = -O -Wall -rdynamic `pkg-config --libs gtk+-2.0 gthread-2.0`

# use $PREFIX if defined, else assume /usr/local
ifeq "$(PREFIX)" ""
	PREFIX = /usr/local
endif

BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/$(PROGRAM)
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
DESKTOP = $(DATADIR)/kornelix-$(PROGRAM).desktop
MANDIR = $(PREFIX)/share/man/man1

$(PROGRAM): $(PROGRAM).o zfuncs.o
	@ ./dependencies.sh
	@ g++ $(LFLAGS) -lfreeimage -o $(PROGRAM) $(PROGRAM).o zfuncs.o

$(PROGRAM).o: $(SOURCE)
	@ g++ $(CFLAGS) -o $(PROGRAM).o $(SOURCE)		\
	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\""

zfuncs.o: zfuncs.cpp
	@ g++ $(CFLAGS) zfuncs.cpp	\
	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\"" -D "BINDIR=\"$(BINDIR)\""

install: $(PROGRAM)
	mkdir -p $(DESTDIR)$(DOCDIR) 
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DATADIR)
	mkdir -p $(DESTDIR)$(DATADIR)/locales
	mkdir -p $(DESTDIR)$(MANDIR) 
	cp -R doc/* $(DESTDIR)$(DOCDIR)
	cp -R data/* $(DESTDIR)$(DATADIR)
	cp $(PROGRAM) $(DESTDIR)$(BINDIR)
	cp -R locales/* $(DESTDIR)$(DATADIR)/locales
	#  install .desktop file (menu entry)
	@echo "[Desktop Entry]" > $(DESKTOP)
	@echo "Name=$(PROGRAM)" >> $(DESKTOP)
	@echo "Categories=Graphics" >> $(DESKTOP)
	@echo "Type=Application" >> $(DESKTOP)
	@echo "Terminal=false" >> $(DESKTOP)
	@echo "Exec=$(BINDIR)/$(PROGRAM)" >> $(DESKTOP)
	@echo "Icon=$(DATADIR)/icons/$(PROGRAM).png" >> $(DESKTOP)
	@echo "GenericName=Digital Photo Editor" >> $(DESKTOP)
	xdg-desktop-menu install $(DESKTOP)
	#  install man page
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz

uninstall:
	xdg-desktop-menu uninstall $(DESKTOP)
	rm -f $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -R -f $(DESTDIR)$(DOCDIR)
	rm -R -f $(DESTDIR)$(DATADIR)
	rm -f $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz

clean: 
	rm -f $(PROGRAM)
	rm -f *.o

## fotoxx 10.3.1

=== Makefile ===
# fotoxx makefile 

PROGRAM = fotoxx
VERSION = 10.3.1
SOURCE = $(PROGRAM)-$(VERSION).cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall 
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr/local

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LFLAGS = $(LDFLAGS) `pkg-config --libs gtk+-2.0 gthread-2.0`

BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/$(PROGRAM)
ICONDIR = $(DATADIR)/icons
DESKTOP = $(DATADIR)/kornelix-$(PROGRAM).desktop
DOCDIR = $(PREFIX)/share/doc/$(PROGRAM)
MANDIR = $(PREFIX)/share/man/man1

$(PROGRAM): $(PROGRAM).o zfuncs.o
	@ ./dependencies.sh
	$(CXX) $(LFLAGS) -ltiff -o $(PROGRAM) $(PROGRAM).o zfuncs.o

$(PROGRAM).o: $(SOURCE)
	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)		\
	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\""

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc	\
	  -D "DATADIR=\"$(DATADIR)\"" -D "DOCDIR=\"$(DOCDIR)\"" -D "BINDIR=\"$(BINDIR)\""

install: $(PROGRAM)
	mkdir -p $(DESTDIR)$(DOCDIR) 
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DATADIR)
	mkdir -p $(DESTDIR)$(ICONDIR) 
	mkdir -p $(DESTDIR)$(DATADIR)/locales
	mkdir -p $(DESTDIR)$(MANDIR) 
	cp -R doc/* $(DESTDIR)$(DOCDIR)
	cp icons/* $(DESTDIR)$(ICONDIR)
	cp -R locales/* $(DESTDIR)$(DATADIR)/locales
	cp $(PROGRAM) $(DESTDIR)$(BINDIR)
	@ echo use make menu to install desktop menu
	@ echo use make manpage to install man page

menu:
	cp -f desktop $(DESTDIR)$(DESKTOP)
	echo Exec=$(DESTDIR)$(BINDIR)/$(PROGRAM) >> $(DESTDIR)$(DESKTOP)
	echo Icon=$(DESTDIR)$(ICONDIR)/$(PROGRAM).png >> $(DESTDIR)$(DESKTOP)
	xdg-desktop-menu install $(DESTDIR)$(DESKTOP)

manpage:
	cp -f doc/$(PROGRAM).man $(PROGRAM).1
	gzip -f -9 $(PROGRAM).1
	cp $(PROGRAM).1.gz $(DESTDIR)$(MANDIR)
	rm -f $(PROGRAM).1.gz

uninstall:
	xdg-desktop-menu uninstall $(DESTDIR)$(DESKTOP)
	rm -f $(DESTDIR)$(BINDIR)/$(PROGRAM)
	rm -R -f $(DESTDIR)$(DOCDIR)
	rm -R -f $(DESTDIR)$(DATADIR)
	rm -f $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz

clean: 
	rm -f $(PROGRAM)
	rm -f *.o

=== debian/changelog ===
fotoxx (10.3.1-1) unstable; urgency=low

  * New upstream release
  * Switch to quilt (3.0)
  * debian/control
    -Bump Standars-Version to 3.8.4 No further changes.
    -Added libtiff4-dev to Build-Depends.
  * New versions of fotoxx don't suggest printoxx anymore. closes: #582244

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 22 May 2010 13:37:32 -0300

fotoxx (9.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Wed, 06 Jan 2010 23:03:44 -0300

fotoxx (8.7-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 26 Nov 2009 18:59:39 -0300

fotoxx (8.6.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 29 Oct 2009 19:34:43 -0300

fotoxx (8.6-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 13 Oct 2009 23:05:46 -0300

fotoxx (8.5.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 10 Oct 2009 13:06:31 -0300

fotoxx (8.4.3-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 22 Sep 2009 08:08:16 -0300

fotoxx (8.4.1-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 14 Sep 2009 22:44:23 -0300

fotoxx (8.3-1) unstable; urgency=low

  * Initial release (Closes: #504360)

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 20 Aug 2009 12:27:47 -0300

=== debian/control ===
Source: fotoxx
Section: graphics
Priority: extra
Maintainer: Santiago Torres Batan <santi73@gmail.com>
Build-Depends: debhelper (>= 7), libgtk2.0-dev, libfreeimage-dev, xdg-utils, libtiff4-dev
Standards-Version: 3.8.4
Homepage: http://kornelix.squarespace.com/downloads/

Package: fotoxx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libimage-exiftool-perl, ufraw
Description: easy-to-use digital photo editor
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
		
	rm -f $(CURDIR)/doc/COPYING
	rm -f $(CURDIR)/*.spec	
	rm -f $(CURDIR)/fotoxx
	dh_prep  
	dh_installdirs
		
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx install
		
binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/CHANGES
	dh_installdocs
	dh_installmenu
	dh_install fotoxx.desktop /usr/share/applications
	dh_strip
	dh_compress -XTRANSLATIONS -XCHANGES
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fotoxx 10.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # fotoxx makefile 
 
 PROGRAM = fotoxx
-VERSION = 10.3.1
+VERSION = 10.7
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined

=== debian/changelog ===
fotoxx (10.7-1) unstable; urgency=low

  * New upstream release
  * debian/control
    -Bump Standars-Version to 3.9.0 No further changes.
    -Changed Reccommends: ufraw-batch instead of ufraw. closes: #583084.

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 08 Jul 2010 18:24:21 -0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Build-Depends: debhelper (>= 7), libgtk2.0-dev, libfreeimage-dev, xdg-utils, libtiff4-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://kornelix.squarespace.com/downloads/
 
 Package: fotoxx
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libimage-exiftool-perl, ufraw
+Recommends: libimage-exiftool-perl, ufraw-batch
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR

=== debian/rules ===
--- 
+++ 
@@ -34,12 +34,14 @@
 		
 	rm -f $(CURDIR)/doc/COPYING
 	rm -f $(CURDIR)/*.spec	
-	rm -f $(CURDIR)/fotoxx
+	rm -f $(CURDIR)/desktop	
 	dh_prep  
 	dh_installdirs
 		
 	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx install
-		
+	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx manpage
+	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx menu
+	
 binary-indep: install
 
 binary-arch: install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
http://kornelix.squarespace.com/downloads/ \
/storage/downloads/fotoxx-(.*)\.tar\.gz

## fotoxx 11.11.1

=== Makefile ===
# fotoxx makefile 

PROGRAM = fotoxx-11.11.1.cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx
ICONDIR = $(SHAREDIR)/icons
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
MENUFILE = $(PREFIX)/share/applications/kornelix-fotoxx.desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LIBS = `pkg-config --libs gtk+-2.0 gthread-2.0`

fotoxx: fotoxx.o fotoxx_tools.o fotoxx_area.o fotoxx_info.o \
        fotoxx_retouch.o fotoxx_transform.o fotoxx_art.o fotoxx_comp.o \
        zfuncs.o 
	$(CXX) $(LDFLAGS) fotoxx.o fotoxx_tools.o fotoxx_area.o fotoxx_info.o \
	       fotoxx_retouch.o fotoxx_transform.o fotoxx_art.o fotoxx_comp.o \
	       zfuncs.o \
          $(LIBS) -ltiff -o fotoxx 
	@ ./dependencies.sh

fotoxx.o: $(PROGRAM) fotoxx.h
	$(CXX) $(CFLAGS) -o fotoxx.o $(PROGRAM)

fotoxx_tools.o: fotoxx_tools.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_tools.cc

fotoxx_area.o: fotoxx_area.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_area.cc

fotoxx_info.o: fotoxx_info.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_info.cc

fotoxx_retouch.o: fotoxx_retouch.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_retouch.cc

fotoxx_transform.o: fotoxx_transform.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_transform.cc

fotoxx_art.o: fotoxx_art.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_art.cc

fotoxx_comp.o: fotoxx_comp.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_comp.cc

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\"

install: fotoxx
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  fotoxx $(DESTDIR)$(BINDIR)
	cp -f  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	# man page
	cp -f doc/fotoxx.man fotoxx.1
	gzip -f -9 fotoxx.1
	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx.1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -R -f  $(DESTDIR)$(SHAREDIR)
	rm -R -f  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  fotoxx
	rm -f  *.o

=== debian/changelog ===
fotoxx (11.11.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rename mutex type to mutex_tp (closes: #665676). Thanks to Michael Biebl
    for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 29 Apr 2012 15:51:13 +0200

fotoxx (11.11.1-1) unstable; urgency=low

  * New upstream release
    
  * debian/watch
    -Fix lintian warning: debian_watch_contains_dh_make_template
  
  * debian/rules
    -Remove -XTRANLATIONS -XCHANGES params in dh_compress.
    -Fix lintian warning: debian_rules_missing_recommends_targets
    -Add symlink to avoid duplicate documentation at intalldocs rule.
    -Remove unnecessary files.
 
  * debian/control
   -Bump Standars-Version to 3.9.2
   -Remov libfreeimage-dev, libimage-exiftool-perf from
     Build-Depends
   -Add xgd-utils and libimage-exiftool-perf to Recommends
   -Add brasero to Suggests

  * debian/copyright
    -Update copyright to 2010, 2011
   
  * debian/patches/ 
    -Fix lintian warning format-3.0-but-debian-changes-patch and
     (closes: #643119) by creating:
    -docs_dir.patch: changes upstream sources for the program to
     know where documentation is installed
    -makefile_changes.patch: edit makefile for installation
     Removes the depencies check by dependencies.sh. (closes: #622315)
     Fix FTBFS with binutils-gold. (closes: #610545)
     fotoxxfotoxx.desktop was created by mistake. (closes: #610544)
     Thanks to Mahyuddin Susanto.
  
  * debian/doc-base
    -Register fotoxx user guide documentation.

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 07 Nov 2011 16:37:55 -0300
 

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: graphics
 Priority: extra
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
-Build-Depends: debhelper (>= 7), libgtk2.0-dev, libfreeimage-dev, xdg-utils, libtiff4-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7), libgtk2.0-dev, libtiff4-dev
+Standards-Version: 3.9.2
 Homepage: http://kornelix.squarespace.com/downloads/
 
 Package: fotoxx
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libimage-exiftool-perl, ufraw-batch
+Recommends: libimage-exiftool-perl, ufraw-batch, xgd-open, libtiff,
+Suggests: brasero
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR

## fotoxx 12.01.2

=== Makefile ===
# fotoxx makefile 

VERSION = 12.01.2.cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx
ICONDIR = $(SHAREDIR)/icons
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
MENUFILE = $(PREFIX)/share/applications/kornelix-fotoxx.desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LIBS = `pkg-config --libs gtk+-2.0`

fotoxx:  fotoxx.o f.file.o f.tools.o f.select.o f.info.o f.retouch.o \
         f.transform.o f.art.o f.comp.o f.navi.o zfuncs.o 
	$(CXX) $(LDFLAGS) -o fotoxx fotoxx.o f.file.o f.tools.o f.select.o f.info.o \
         f.retouch.o f.transform.o f.art.o f.comp.o f.navi.o zfuncs.o \
         $(LIBS) -ltiff 
	@ ./dependencies.sh

fotoxx.o: fotoxx-$(VERSION) fotoxx.h
	$(CXX) $(CFLAGS) -o fotoxx.o fotoxx-$(VERSION)

f.file.o: f.file.cc fotoxx.h
	$(CXX) $(CFLAGS) f.file.cc

f.tools.o: f.tools.cc fotoxx.h
	$(CXX) $(CFLAGS) f.tools.cc

f.select.o: f.select.cc fotoxx.h
	$(CXX) $(CFLAGS) f.select.cc

f.info.o: f.info.cc fotoxx.h
	$(CXX) $(CFLAGS) f.info.cc

f.retouch.o: f.retouch.cc fotoxx.h
	$(CXX) $(CFLAGS) f.retouch.cc

f.transform.o: f.transform.cc fotoxx.h
	$(CXX) $(CFLAGS) f.transform.cc

f.art.o: f.art.cc fotoxx.h
	$(CXX) $(CFLAGS) f.art.cc

f.comp.o: f.comp.cc fotoxx.h
	$(CXX) $(CFLAGS) f.comp.cc

f.navi.o: f.navi.cc fotoxx.h
	$(CXX) $(CFLAGS) f.navi.cc

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\"

install: fotoxx
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  fotoxx $(DESTDIR)$(BINDIR)
	cp -f  icons/* $(DESTDIR)$(ICONDIR)
	cp -f  locales/* $(DESTDIR)$(LOCALESDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	# man page
	cp -f doc/fotoxx.man fotoxx.1
	gzip -f -9 fotoxx.1
	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx.1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -R -f  $(DESTDIR)$(SHAREDIR)
	rm -R -f  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  fotoxx
	rm -f  *.o

=== debian/changelog ===
fotoxx (12.01.2-0ubuntu3) raring; urgency=low

  * Added missing pthread lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 07 Apr 2013 16:51:13 -0400

fotoxx (12.01.2-0ubuntu2) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.
  * Drop unsatisfiable and unnecessary Recommends on libtiff.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Sep 2012 10:53:30 +0100

fotoxx (12.01.2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Refreshed patch:
    - debian/patches/makefile_changes.patch
    - debian/patches/docs_dir.patch

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 04 Jan 2012 23:14:41 +0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fotoxx
 Section: graphics
 Priority: extra
-Maintainer: Santiago Torres Batan <santi73@gmail.com>
-Build-Depends: debhelper (>= 7), libgtk2.0-dev, libtiff4-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
+Build-Depends: debhelper (>= 7), libgtk2.0-dev, libtiff-dev
 Standards-Version: 3.9.2
 Homepage: http://kornelix.squarespace.com/downloads/
 
 Package: fotoxx
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libimage-exiftool-perl, ufraw-batch, xgd-open, libtiff,
+Recommends: libimage-exiftool-perl, ufraw-batch, xgd-open
 Suggests: brasero
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,13 @@
 	dh_testdir
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp  
 	dh_testdir
-	$(MAKE) PREFIX=/usr
+	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx
 	touch $@
 
 clean: 
@@ -32,27 +34,26 @@
 	dh_testdir
 	dh_testroot
 		
-	rm -f $(CURDIR)/doc/COPYING
-	rm -f $(CURDIR)/*.spec	
-	rm -f $(CURDIR)/desktop	
 	dh_prep  
 	dh_installdirs
 		
 	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx install
-	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx manpage
-	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx menu
-	
+	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/COPYING
+	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/fotoxx.man
+	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/copyright
+
 binary-indep: install
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs doc/CHANGES
-	dh_installdocs
+	dh_installchangelogs
+	dh_installdocs 
 	dh_installmenu
-	dh_install fotoxx.desktop /usr/share/applications
+	dh_install
 	dh_strip
-	dh_compress -XTRANSLATIONS -XCHANGES
+	dh_compress 
+	dh_link usr/share/doc/fotoxx/changelog.gz usr/share/doc/fotoxx/extras/changelog.gz
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://kornelix.squarespace.com/downloads/ \
/storage/downloads/fotoxx-(.*)\.tar\.gz

## fotoxx 14.07.1

=== Makefile ===
# fotoxx makefile 

FOTOXX = fotoxx-14.07.1.cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O2 -Wall -ggdb

LDFLAGS ?= -rdynamic 
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
APPDATADIR = $(PREFIX)/share/appdata
MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
LIBS = `pkg-config --libs gtk+-3.0` 

ALLFILES = fotoxx.o f.widgets.o f.file.o f.tools.o f.area.o f.meta.o    \
           f.edit.o f.repair.o f.color.o f.bend.o f.effects.o f.combine.o zfuncs.o

fotoxx: $(ALLFILES)
	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS)    \
                     -ltiff -lpng -llcms2 -lpthread

fotoxx.o: $(FOTOXX) fotoxx.h
	$(CXX) $(CFLAGS) -o fotoxx.o $(FOTOXX)

f.widgets.o: f.widgets.cc fotoxx.h
	$(CXX) $(CFLAGS) f.widgets.cc

f.file.o: f.file.cc fotoxx.h
	$(CXX) $(CFLAGS) f.file.cc

f.tools.o: f.tools.cc fotoxx.h
	$(CXX) $(CFLAGS) f.tools.cc

f.area.o: f.area.cc fotoxx.h
	$(CXX) $(CFLAGS) f.area.cc

f.meta.o: f.meta.cc fotoxx.h
	$(CXX) $(CFLAGS) f.meta.cc

f.edit.o: f.edit.cc fotoxx.h
	$(CXX) $(CFLAGS) f.edit.cc

f.repair.o: f.repair.cc fotoxx.h
	$(CXX) $(CFLAGS) f.repair.cc

f.color.o: f.color.cc fotoxx.h
	$(CXX) $(CFLAGS) f.color.cc

f.bend.o: f.bend.cc fotoxx.h
	$(CXX) $(CFLAGS) f.bend.cc

f.effects.o: f.effects.cc fotoxx.h
	$(CXX) $(CFLAGS) f.effects.cc

f.combine.o: f.combine.cc fotoxx.h
	$(CXX) $(CFLAGS) f.combine.cc

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc    \
          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"  

install: fotoxx
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  fotoxx $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	cp -f -R  appdata/* $(DESTDIR)$(APPDATADIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	# man page
	cp -f doc/fotoxx.man fotoxx.1
	gzip -f -9 fotoxx.1
	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx.1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)
	# chmod +x $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install --novendor $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  fotoxx
	rm -f  *.o

=== debian/changelog ===
fotoxx (14.07.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control
    - Moved libexiftool-perl from Recommends to Depends.
    - Replaced xgd-open with xdg-utils (closes: #743330),
      and moved to Depends.
    - Added dcraw to Depends.
    - Replaced ufraw-batch to ufraw. (closes: #755853)
    - Added rawtherapee, imagemagick, brasero and gimp to Suggests.
    Thanks for the bug reports.

  * debian/compat
    - Bump to version 9.

  * debian/patches
    - Deleted desktop_fix.patch, applied by upstrean.
    - Deleted rename_mutex_type.patch, applied by upstream.
    - Created privacy-breach-generic_fix.patch
    - Refresh patches.

  * debian/rules
    - Switched to version's 9 format.

  * debian/copyrigth
    - Updated upstream email.

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 24 Jul 2014 12:27:54 -0300

fotoxx (14.03.1-1) unstable; urgency=medium

  * New upstream release (closes: #683347)

  * Applied non maintainer changes. Thanks to Jakub Wilk.

  * debian/watch
    - Update download URL

  * debian/patches
    - Moved documentation back to doc/fotoxx and deleted docs_dir.patch.
      Thanks to Maximiliano Curia.
    - Added fotoxx.h and zfuncs.cc files to mutex_rename.patch.
    - Refreshed all patches.
    - Created dektop_fix.patch to fix .desktop using desktop-file-validate.

  * debian/control
    - Bump Standars-Version to 3.9.5.
    - Updated build dependency from libtiff4-dev to libtiff-dev
      (closes: #736003)
    - Added liblcml2-dev to Build-Depends.
    - Created fotoxx-common package for independent arquitecture data.
    - Updated Fotoxx Homepage.

  * debian/copyright
    - Updated copyright years for the upstream.

  * debian/rules
    - Export buildflags.
    - Remove rules that delete some no longer installed files.

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 15 Mar 2014 12:36:13 -0300

=== debian/control ===
Source: fotoxx
Section: graphics
Priority: extra
Maintainer: Santiago Torres Batan <santi73@gmail.com>
Build-Depends: debhelper (>= 9), libgtk-3-dev, liblcms2-dev, libtiff-dev
Standards-Version: 3.9.5
Homepage: http://www.kornelix.com/fotoxx.html

Package: fotoxx
Architecture: any
Depends: fotoxx-common (= ${source:Version}),
         libimage-exiftool-perl (>= 8.60),
         xdg-utils,
         dcraw,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ufraw
Suggests: brasero,
          gimp,
          rawtherapee,
          imagemagick,
          www-browser
Description: easy-to-use digital photo editor
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.

Package: fotoxx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx (<< 14.03.1)
Replaces: fotoxx (<< 14.03.1)
Description: easy-to-use digital photo editor - common files
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- USE_XDG=false
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright

override_dh_link:
	dh_link usr/share/fotoxx/data/userguide-en.html \
	        usr/share/doc/fotoxx/userguide-en.html

## fotoxx 14.10.2

=== Makefile ===
# fotoxx makefile 

FOTOXX = fotoxx-14.10.2.cc

# defaults for parameters that may be pre-defined
CXXFLAGS += -Wall -ggdb
LDFLAGS += -rdynamic
PREFIX ?= /usr
CPPFLAGS ?= -O2

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
APPDATADIR = $(PREFIX)/share/appdata
MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
CFLAGS += $(CPPFLAGS)
LIBS = `pkg-config --libs gtk+-3.0` -lpthread

ALLFILES = fotoxx.o f.widgets.o f.file.o f.tools.o f.area.o f.meta.o    \
           f.edit.o f.repair.o f.bend.o f.effects.o f.combine.o zfuncs.o

fotoxx: $(ALLFILES)
	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS)    \
                     -ltiff -lpng -llcms2

fotoxx.o: $(FOTOXX) fotoxx.h
	$(CXX) $(CFLAGS) -o fotoxx.o $(FOTOXX)

f.widgets.o: f.widgets.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.widgets.cc

f.file.o: f.file.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.file.cc

f.tools.o: f.tools.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.tools.cc

f.area.o: f.area.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.area.cc

f.meta.o: f.meta.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.meta.cc

f.edit.o: f.edit.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.edit.cc

f.repair.o: f.repair.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.repair.cc

f.bend.o: f.bend.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.bend.cc

f.effects.o: f.effects.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.effects.cc

f.combine.o: f.combine.cc  fotoxx.h
	$(CXX) $(CFLAGS) f.combine.cc

zfuncs.o: zfuncs.cc  zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc    \
          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"

install: fotoxx uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p  $(DESTDIR)$(APPDATADIR)
	cp -f  fotoxx $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
	cp -n -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	cp -f -R  appdata/* $(DESTDIR)$(APPDATADIR)
	# man page
	cp -f doc/fotoxx.man fotoxx.1
	gzip -f -9 fotoxx.1
	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx.1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  fotoxx
	rm -f  *.o

=== debian/changelog ===
fotoxx (14.10.2-1) unstable; urgency=medium

  [ Santiago Torres Batan ]
  * New upstream release
  * wrap-and-sort

  * debian/control
    - Added Vcs-{Browser,Git}
    - Bump Standards-Version to 3.9.6

  * debian/patches
    - Deleted makefile_changes.patch, privacy-breach-generic_fix.patch
      (were partially applied)
    - 0001-Do-not-track-users.patch: removes the code that counts users.
    - 0002-Do-not-check-for-new-releases.patch: removes the code that
      tries to download new releases. (closes: #761828)
    - 0003-Remove-Geo-download-function: removes insecured download function

  * debian/rules
    - Removed USE_XDG flag. No more needed because of upstream changes in
      Makefile.

  * debian/copyright
    - Upgraded to format 1.0

  [ Maximiliano Curia ]
  * Update copyright license to GPL-3+.
  * Add myself to the uploaders list.
  * New upstream release (14.10.2).
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Oct 2014 22:20:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,23 @@
 Section: graphics
 Priority: extra
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9), libgtk-3-dev, liblcms2-dev, libtiff-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kornelix.com/fotoxx.html
+Vcs-Git: git://anonscm.debian.org/collab-maint/fotoxx.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fotoxx.git
 
 Package: fotoxx
 Architecture: any
-Depends: fotoxx-common (= ${source:Version}),
+Depends: dcraw,
+         fotoxx-common (= ${source:Version}),
          libimage-exiftool-perl (>= 8.60),
          xdg-utils,
-         dcraw,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ufraw
-Suggests: brasero,
-          gimp,
-          rawtherapee,
-          imagemagick,
-          www-browser
+Suggests: brasero, gimp, imagemagick, rawtherapee, www-browser
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install -- USE_XDG=false
+	dh_auto_install
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
 
 override_dh_link:

## fotoxx 15.11.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# fotoxx makefile 
+# fotoxx makefile
 
-FOTOXX = fotoxx-14.10.2.cc
+FOTOXX = fotoxx-15.11.1.cc
 
 # defaults for parameters that may be pre-defined
 CXXFLAGS += -Wall -ggdb
@@ -19,16 +19,16 @@
 APPDATADIR = $(PREFIX)/share/appdata
 MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop
 
-CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
-CFLAGS += $(CPPFLAGS)
-LIBS = `pkg-config --libs gtk+-3.0` -lpthread
+CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c `pkg-config --cflags gtk+-3.0`
 
-ALLFILES = fotoxx.o f.widgets.o f.file.o f.tools.o f.area.o f.meta.o    \
-           f.edit.o f.repair.o f.bend.o f.effects.o f.combine.o zfuncs.o
+LIBS = `pkg-config --libs gtk+-3.0` -lpthread -ltiff -lpng -llcms2
+
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.area.o f.meta.o        \
+           f.edit.o f.repair.o f.bend.o f.effects.o f.combine.o f.mashup.o    \
+           f.albums.o f.tools.o f.batch.o f.image.o zfuncs.o
 
 fotoxx: $(ALLFILES)
-	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS)    \
-                     -ltiff -lpng -llcms2
+	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS)
 
 fotoxx.o: $(FOTOXX) fotoxx.h
 	$(CXX) $(CFLAGS) -o fotoxx.o $(FOTOXX)
@@ -39,8 +39,8 @@
 f.file.o: f.file.cc  fotoxx.h
 	$(CXX) $(CFLAGS) f.file.cc
 
-f.tools.o: f.tools.cc  fotoxx.h
-	$(CXX) $(CFLAGS) f.tools.cc
+f.gallery.o: f.gallery.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.gallery.cc
 
 f.area.o: f.area.cc  fotoxx.h
 	$(CXX) $(CFLAGS) f.area.cc
@@ -63,9 +63,23 @@
 f.combine.o: f.combine.cc  fotoxx.h
 	$(CXX) $(CFLAGS) f.combine.cc
 
+f.mashup.o: f.mashup.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.mashup.cc
+
+f.albums.o: f.albums.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.albums.cc
+
+f.tools.o: f.tools.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.tools.cc
+
+f.batch.o: f.batch.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.batch.cc
+
+f.image.o: f.image.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.image.cc
+
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) $(CFLAGS) zfuncs.cc    \
-          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"
+	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"
 
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
@@ -98,8 +112,8 @@
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
 	rm -f  $(DESTDIR)$(MENUFILE)
 
-clean: 
+clean:
 	rm -f  fotoxx
 	rm -f  *.o
- 
- 
+
+

=== debian/changelog ===
fotoxx (15.11.1-3) unstable; urgency=medium

  * Improve the dh_link rule so it doesn't end with the same file in both
    packages. (Closes: #804701)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Nov 2015 19:49:42 +0100

fotoxx (15.11.1-2) unstable; urgency=medium

  * Add patch: 0001-Fix-ftbfs-in-freebsd.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Nov 2015 13:27:03 +0100

fotoxx (15.11.1-1) unstable; urgency=low

  [ Maximiliano Curia ]
  * New upstream release (15.11.1).
  * Drop patches applied upstream.

  [ Santiago Torres Batan ]
  * debian/copyright
    - Updated years and Source URL.

  * debian/control
    - Added hugin to Suggests packages.

  * debian/menu
    - Delete menu file as .Desktop is provided by package.

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 10 Nov 2015 03:48:21 -0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ufraw
-Suggests: brasero, gimp, imagemagick, rawtherapee, www-browser
+Suggests: brasero, gimp, imagemagick, rawtherapee, hugin, www-browser
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,7 @@
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
 
 override_dh_link:
-	dh_link usr/share/fotoxx/data/userguide-en.html \
-	        usr/share/doc/fotoxx/userguide-en.html
+	dh_link -pfotoxx \
+	    usr/share/fotoxx/data/userguide-en.html \
+	    usr/share/doc/fotoxx/userguide-en.html
+	dh_link --remaining-packages

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.kornelix.com/tarballs.html /uploads/././././......../fotoxx-([\d.]+).tar.gz

## fotoxx 16.05.1

=== Makefile ===
# fotoxx makefile

FOTOXX = fotoxx-16.05.1.cc

# defaults for parameters that may be pre-defined
CXXFLAGS += -Wall -ggdb
LDFLAGS += -rdynamic
PREFIX ?= /usr
CPPFLAGS ?= -O2

# enable for debugging (add array bounds checking)
# CXXFLAGS += -mmpx -fcheck-pointer-bounds -lmpx
# LDFLAGS += -lmpxwrappers -lmpx

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
APPDATADIR = $(PREFIX)/share/appdata
MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `pkg-config --cflags gtk+-3.0`                  \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/                 \
   -I/usr/include/libchamplain-gtk-0.12/           \
   -I/usr/include/libchamplain-0.12/


LIBS = `pkg-config --libs gtk+-3.0` -lrt -lpthread -ltiff -lpng -llcms2          \
      -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12

ALLFILES = fotoxx.o f.widgets.o f.image.o f.file.o f.gallery.o f.area.o          \
           f.meta.o f.edit.o f.repair.o f.bend.o f.effects.o f.combine.o         \
           f.mashup.o f.albums.o f.tools.o f.batch.o zfuncs.o

fotoxx: $(ALLFILES)
	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS) \

fotoxx.o: $(FOTOXX) fotoxx.h
	$(CXX) -o fotoxx.o $(FOTOXX) $(CFLAGS) \

f.widgets.o: f.widgets.cc  fotoxx.h
	$(CXX) f.widgets.cc $(CFLAGS) \

f.image.o: f.image.cc  fotoxx.h
	$(CXX) f.image.cc $(CFLAGS) \

f.file.o: f.file.cc  fotoxx.h
	$(CXX) f.file.cc $(CFLAGS) \

f.gallery.o: f.gallery.cc  fotoxx.h
	$(CXX) f.gallery.cc $(CFLAGS) \

f.area.o: f.area.cc  fotoxx.h
	$(CXX) f.area.cc $(CFLAGS) \

f.meta.o: f.meta.cc  fotoxx.h
	$(CXX) f.meta.cc $(CFLAGS) \

f.edit.o: f.edit.cc  fotoxx.h
	$(CXX) f.edit.cc $(CFLAGS) \

f.repair.o: f.repair.cc  fotoxx.h
	$(CXX) f.repair.cc $(CFLAGS) \

f.bend.o: f.bend.cc  fotoxx.h
	$(CXX) f.bend.cc $(CFLAGS) \

f.effects.o: f.effects.cc  fotoxx.h
	$(CXX) f.effects.cc $(CFLAGS) \

f.combine.o: f.combine.cc  fotoxx.h
	$(CXX) f.combine.cc $(CFLAGS) \

f.mashup.o: f.mashup.cc  fotoxx.h
	$(CXX) f.mashup.cc $(CFLAGS) \

f.albums.o: f.albums.cc  fotoxx.h
	$(CXX) f.albums.cc $(CFLAGS) \

f.tools.o: f.tools.cc  fotoxx.h
	$(CXX) f.tools.cc $(CFLAGS) \

f.batch.o: f.batch.cc  fotoxx.h
	$(CXX) f.batch.cc $(CFLAGS) \

zfuncs.o: zfuncs.cc  zfuncs.h
	$(CXX) zfuncs.cc $(CFLAGS) \
	-D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\" \

install: fotoxx uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p  $(DESTDIR)$(APPDATADIR)
	cp -f  fotoxx $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
	cp -n -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	cp -f -R  appdata/* $(DESTDIR)$(APPDATADIR)
	# man page
	cp -f doc/fotoxx.man fotoxx.1
	gzip -f -9 fotoxx.1
	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx.1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	rm -f  $(DESTDIR)$(MENUFILE)

clean:
	rm -f  fotoxx
	rm -f  *.o

=== debian/changelog ===
fotoxx (16.05.1-1) unstable; urgency=medium

  [ Santiago Torres Batan  ]
  * New Upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 May 2016 18:46:41 +0200

fotoxx (16.03.1-1) unstable; urgency=medium

  [ Santiago Torres Batan  ]
  * New Upstream release.

  [ Maximiliano Curia ]
  * New upstream release (16.03.1).
  * Add new patch: 0002-fix-FTBFS-using-clang-instead-of-gcc.patch.
    Thanks to Arthur Marble for the report and the patch (Closes: #812720)
  * Bump Standards-Version to 3.9.7, no changes needed.
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Mar 2016 11:01:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Priority: extra
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 9), libgtk-3-dev, liblcms2-dev, libtiff-dev
-Standards-Version: 3.9.6
-Homepage: http://www.kornelix.com/fotoxx.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/fotoxx.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fotoxx.git
+Build-Depends: debhelper (>= 9),
+               libchamplain-gtk-0.12-dev,
+               libgtk-3-dev,
+               liblcms2-dev,
+               libtiff-dev
+Standards-Version: 3.9.7
+Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fotoxx.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fotoxx.git
 
 Package: fotoxx
 Architecture: any
@@ -18,7 +22,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ufraw
-Suggests: brasero, gimp, imagemagick, rawtherapee, hugin, www-browser
+Suggests: brasero, gimp, hugin, imagemagick, rawtherapee, www-browser
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR
